import vrml.Event;
import vrml.field.ConstMFVec3f;
import vrml.field.ConstSFString;
import vrml.field.ConstSFTime;
import vrml.field.MFVec3f;
import vrml.field.SFBool;
import vrml.field.SFColor;
import vrml.field.SFFloat;
import vrml.field.SFRotation;
import vrml.field.SFTime;
import vrml.field.SFVec3f;
import vrml.node.Script;

public class avatar extends Script {
   private SFFloat value;
   private SFTime helloStart;
   private SFTime smileStart;
   private SFTime woooStart;
   private SFTime waoStart;
   private SFTime ummStart;
   private SFTime sadStart;
   private SFBool timerOn;
   private SFTime timerStart;
   private SFBool timerwOn;
   private SFTime timerwStart;
   private MFVec3f avatarTrans;
   private SFVec3f avatarDirect;
   private SFRotation avatarRot;
   private static String[] ActionList = new String[]{"Hello", "Smile", "Wao", "Umm", "Wooo", "Sad", "Bye", "Sleep", "Normal"};
   private float[][] tmpArray;
   private double[] vector;
   private float[] dist;
   private double length;
   private boolean start = true;
   private float key;
   private int parity;
   private int flag;
   private int counter;
   final int PARTS_MAX = 18;
   SFColor[] newColor = new SFColor[18];
   final int cBase = 48;
   final int COLOR_MAX = 18;

   public void initialize() {
      this.value = (SFFloat)((Script)this).getEventOut("value");
      this.helloStart = (SFTime)((Script)this).getEventOut("helloStart");
      this.smileStart = (SFTime)((Script)this).getEventOut("smileStart");
      this.woooStart = (SFTime)((Script)this).getEventOut("woooStart");
      this.waoStart = (SFTime)((Script)this).getEventOut("waoStart");
      this.ummStart = (SFTime)((Script)this).getEventOut("ummStart");
      this.sadStart = (SFTime)((Script)this).getEventOut("sadStart");
      this.timerOn = (SFBool)((Script)this).getEventOut("timerOn");
      this.timerStart = (SFTime)((Script)this).getEventOut("timerStart");
      this.timerwOn = (SFBool)((Script)this).getEventOut("timerwOn");
      this.timerwStart = (SFTime)((Script)this).getEventOut("timerwStart");
      this.avatarTrans = (MFVec3f)((Script)this).getEventOut("avatarTrans");
      this.avatarDirect = (SFVec3f)((Script)this).getEventOut("avatarDirect");
      this.avatarRot = (SFRotation)((Script)this).getEventOut("avatarRot");
      this.tmpArray = new float[2][3];
      this.vector = new double[3];
      this.dist = new float[3];

      for(int var2 = 0; var2 < 18; ++var2) {
         String var1 = "part" + var2;
         this.newColor[var2] = (SFColor)((Script)this).getEventOut(var1);
      }

   }

   public void timeOut(ConstSFTime var1, double var2) {
      if (this.parity == 1) {
         this.key = 0.0F;
         this.value.setValue(this.key);
         this.parity = 0;
      } else if (this.key == 0.0F) {
         this.parity = 0;
      } else {
         this.parity = 1;
      }
   }

   public void sonyAvatarPosture(ConstSFString var1, double var2) {
      String var4 = var1.getValue();
      if (var4.equals(ActionList[0])) {
         this.key = 0.04F;
         this.value.setValue(this.key);
         this.helloStart.setValue(var2);
      } else if (var4.equals(ActionList[1])) {
         this.key = 0.05F;
         this.value.setValue(this.key);
         this.smileStart.setValue(var2);
      } else if (var4.equals(ActionList[2])) {
         this.key = 0.07F;
         this.value.setValue(this.key);
         this.waoStart.setValue(var2);
      } else if (var4.equals(ActionList[3])) {
         this.key = 0.06F;
         this.value.setValue(this.key);
         this.woooStart.setValue(var2);
      } else if (var4.equals(ActionList[4])) {
         this.key = 0.08F;
         this.value.setValue(this.key);
         this.ummStart.setValue(var2);
      } else if (var4.equals(ActionList[5])) {
         this.key = 0.09F;
         this.value.setValue(this.key);
         this.sadStart.setValue(var2);
      } else if (var4.equals(ActionList[6])) {
         this.key = 0.12F;
         this.value.setValue(this.key);
      } else if (var4.equals(ActionList[7])) {
         this.key = 0.13F;
         this.value.setValue(this.key);
      } else if (var4.equals(ActionList[8])) {
         this.key = 0.0F;
         this.value.setValue(this.key);
      } else {
         this.key = 0.0F;
         this.value.setValue(this.key);
      }

      if (this.key != 0.13F) {
         this.timerStart.setValue(var2);
         this.timerOn.setValue(this.start);
      }

   }

   public void timewOut(ConstSFTime var1, double var2) {
      if (this.counter == 1) {
         this.flag = 0;
      } else if (this.flag == 0) {
         this.counter = 0;
      } else {
         this.counter = 1;
      }
   }

   public void sonyAvatarVector(ConstMFVec3f var1, double var2) {
      var1.getValue(this.tmpArray);
      this.vector[0] = (double)(this.tmpArray[1][0] - this.tmpArray[0][0]);
      this.vector[1] = (double)(this.tmpArray[1][1] - this.tmpArray[0][1]);
      this.vector[2] = (double)(this.tmpArray[1][2] - this.tmpArray[0][2]);
      this.dist[0] = this.tmpArray[1][0];
      this.dist[1] = this.tmpArray[1][1];
      this.dist[2] = this.tmpArray[1][2];
      this.length = Math.sqrt(this.vector[0] * this.vector[0] + this.vector[1] * this.vector[1] + this.vector[2] * this.vector[2]);
      this.avatarDirect.setValue(this.dist);
   }

   public void sonyAvatarAttribute(ConstSFString var1, double var2) {
      String var4 = var1.getValue();
      String var5 = var4.substring(8);
      if (var4.startsWith("sleep:1 ")) {
         this.key = 0.13F;
      } else {
         this.key = 0.0F;
      }

      this.value.setValue(this.key);
      this.setcolor(var5);
   }

   public void setcolor(String var1) {
      float[] var2 = new float[3];
      if (var1.length() < 18) {
         System.out.println("default color ");
      } else {
         System.out.println("set color: " + var1);

         for(int var3 = 0; var3 < 18; ++var3) {
            int var4 = var1.charAt(var3) - 48;
            if (var4 < 18) {
               var2 = GenerateColor.getSFColor(var4);
               this.newColor[var3].setValue(var2);
            }
         }

      }
   }

   public void processEvent(Event var1) {
      String var2 = var1.getName();
      if (var2.equals("sonyAvatarPosture")) {
         this.sonyAvatarPosture((ConstSFString)var1.getValue(), var1.getTimeStamp());
      } else if (var2.equals("sonyAvatarVector")) {
         this.sonyAvatarVector((ConstMFVec3f)var1.getValue(), var1.getTimeStamp());
      } else if (var2.equals("timeOut")) {
         this.timeOut((ConstSFTime)var1.getValue(), var1.getTimeStamp());
      } else if (var2.equals("timewOut")) {
         this.timewOut((ConstSFTime)var1.getValue(), var1.getTimeStamp());
      } else {
         if (var2.equals("sonyAvatarAttribute")) {
            this.sonyAvatarAttribute((ConstSFString)var1.getValue(), var1.getTimeStamp());
         }

      }
   }
}
