class GenerateColor {
   public static float[] getSFColor(int var0) {
      float[] var1 = new float[3];
      switch (var0) {
         case 0:
            var1[0] = 0.0F;
            var1[1] = 0.0F;
            var1[2] = 0.0F;
            break;
         case 1:
            var1[0] = 0.0F;
            var1[1] = 0.0F;
            var1[2] = 1.0F;
            break;
         case 2:
            var1[0] = 0.0F;
            var1[1] = 1.0F;
            var1[2] = 0.0F;
            break;
         case 3:
            var1[0] = 0.0F;
            var1[1] = 1.0F;
            var1[2] = 1.0F;
            break;
         case 4:
            var1[0] = 1.0F;
            var1[1] = 0.0F;
            var1[2] = 0.0F;
            break;
         case 5:
            var1[0] = 1.0F;
            var1[1] = 0.0F;
            var1[2] = 1.0F;
            break;
         case 6:
            var1[0] = 1.0F;
            var1[1] = 1.0F;
            var1[2] = 0.0F;
            break;
         case 7:
            var1[0] = 1.0F;
            var1[1] = 1.0F;
            var1[2] = 1.0F;
            break;
         case 8:
            var1[0] = 0.5F;
            var1[1] = 0.4F;
            var1[2] = 0.3F;
            break;
         case 9:
            var1[0] = 0.0F;
            var1[1] = 0.0F;
            var1[2] = 0.6F;
            break;
         case 10:
            var1[0] = 0.0F;
            var1[1] = 0.6F;
            var1[2] = 0.0F;
            break;
         case 11:
            var1[0] = 0.0F;
            var1[1] = 0.6F;
            var1[2] = 0.6F;
            break;
         case 12:
            var1[0] = 0.6F;
            var1[1] = 0.0F;
            var1[2] = 0.0F;
            break;
         case 13:
            var1[0] = 0.6F;
            var1[1] = 0.0F;
            var1[2] = 0.6F;
            break;
         case 14:
            var1[0] = 0.6F;
            var1[1] = 0.6F;
            var1[2] = 0.0F;
            break;
         case 15:
            var1[0] = 0.6F;
            var1[1] = 0.6F;
            var1[2] = 0.6F;
            break;
         case 16:
            var1[0] = 0.9F;
            var1[1] = 0.8F;
            var1[2] = 0.7F;
            break;
         case 17:
            var1[0] = 0.8F;
            var1[1] = 0.7F;
            var1[2] = 0.5F;
            break;
         default:
            var1[0] = 0.0F;
            var1[1] = 0.0F;
            var1[2] = 0.0F;
      }

      return var1;
   }

   public static float[] getDefaultColor(int var0, int var1) {
      float[][] var2 = new float[][]{{1.0F, 0.787F, 0.59F}, {1.0F, 1.0F, 1.0F}, {0.0F, 1.0F, 0.617F}, {1.0F, 0.788F, 0.592F}, {1.0F, 0.787F, 0.59F}, {1.0F, 0.49F, 0.0F}, {0.22F, 0.345F, 1.0F}, {0.22F, 0.345F, 1.0F}, {0.625F, 0.625F, 0.625F}, {0.225F, 0.334F, 1.0F}, {0.22F, 0.345F, 1.0F}, {0.625F, 0.625F, 0.625F}, {0.0F, 1.0F, 0.618F}, {1.0F, 0.787F, 0.59F}, {1.25F, 0.981F, 0.732F}, {0.0F, 1.0F, 0.626F}, {1.0F, 0.787F, 0.59F}, {0.0F, 0.0F, 0.0F}};
      float[][] var3 = new float[][]{{0.672F, 0.0F, 1.0F}, {1.0F, 1.0F, 1.0F}, {0.0F, 0.08F, 1.0F}, {1.0F, 0.0F, 0.371F}, {1.0F, 0.757F, 0.48F}, {1.0F, 0.748F, 0.479F}, {1.0F, 0.564F, 0.0F}, {1.0F, 0.761F, 0.48F}, {1.0F, 0.763F, 0.48F}, {0.953F, 0.725F, 0.457F}, {1.0F, 0.761F, 0.48F}, {1.0F, 0.761F, 0.48F}, {1.0F, 0.761F, 0.48F}, {0.663F, 0.0F, 1.0F}, {0.684F, 0.0F, 1.0F}, {0.703F, 0.0F, 1.0F}, {0.696F, 0.0F, 1.0F}, {0.674F, 0.0F, 1.0F}};
      float[] var4 = new float[3];
      if (var1 == 0) {
         var4[0] = var2[var0][0];
         var4[1] = var2[var0][1];
         var4[2] = var2[var0][2];
      }

      if (var1 == 1) {
         var4[0] = var3[var0][0];
         var4[1] = var3[var0][1];
         var4[2] = var3[var0][2];
      } else {
         var4[0] = var2[var0][0];
         var4[1] = var2[var0][1];
         var4[2] = var2[var0][2];
      }

      return var4;
   }
}
