import vrml.Event;
import vrml.field.ConstSFBool;
import vrml.field.SFColor;
import vrml.field.SFInt32;
import vrml.node.Script;
import vs.Vscp;

public class exit extends Script {
   final int PARTS_MAX = 18;
   final int COLOR_MAX = 18;
   SFColor[] diffuse = new SFColor[18];
   // $FF: renamed from: f float[]
   float[] field_0 = new float[3];
   final int cBase = 48;

   public void processEvent(Event var1) {
      if (((ConstSFBool)var1.getValue()).getValue()) {
         String var2 = "";
         if (var1.getName().equals("clicked_ok")) {
            SFInt32[] var4 = new SFInt32[18];

            for(int var5 = 0; var5 < 18; ++var5) {
               String var3 = "part" + var5 + "_colorNo";
               var4[var5] = (SFInt32)((Script)this).getField(var3);
               var2 = var2 + (char)(var4[var5].getValue() + 48);
            }

            System.out.println("code saved: " + var2);
            Vscp.setAvtroomAvatarColor(var2);
            Vscp.goFromAvtroomToOriginalWorld();
         }

         if (var1.getName().equals("clicked_ng")) {
            this.load();
         }

         if (var1.getName().equals("init")) {
            this.load();
         }
      }

   }

   public void load() {
      String var1 = Vscp.getAvtroomAvatarColor();
      float[] var4 = new float[3];
      byte var5 = 0;
      String var6 = Vscp.getAvtroomAvatarURL();
      if (var6.endsWith("boy.wrl")) {
         var5 = 0;
      } else if (var6.endsWith("girl.wrl")) {
         var5 = 1;
      }

      if (var1.length() >= 18) {
         for(int var12 = 0; var12 < 18; ++var12) {
            int var8 = var1.charAt(var12) - 48;
            String var2 = "part" + var12 + "_colorNo";
            SFInt32 var3 = (SFInt32)((Script)this).getField(var2);
            var3.setValue(var8);
            if (var8 < 18) {
               var4 = GenerateColor.getSFColor(var8);
               this.diffuse[var12].setValue(var4);
            } else {
               var4 = GenerateColor.getDefaultColor(var12, var5);
               this.diffuse[var12].setValue(var4);
            }
         }

      } else {
         for(int var7 = 0; var7 < 18; ++var7) {
            var4 = GenerateColor.getDefaultColor(var7, var5);
            this.diffuse[var7].setValue(var4);
         }

      }
   }

   public void initialize() {
      for(int var2 = 0; var2 < 18; ++var2) {
         String var1 = "part" + var2 + "_color";
         this.diffuse[var2] = (SFColor)((Script)this).getEventOut(var1);
      }

   }
}
