//
// GenerateColor.java
//	generate SFColor for ColorPanel
//
// (c) Copyright 1996 Sony Corporation. All rights reserved.

import vs.*;
 
class GenerateColor{
	public static float[] getSFColor( int code ){
	float f[] = new float[3];

	switch( code ){
	case( 0 ):
	        f[0] = 0.0f;
	        f[1] = 0.0f;
	        f[2] = 0.0f;        
		break;

	case( 1 ):
	        f[0] = 0.0f;
	        f[1] = 0.0f;
	        f[2] = 1.0f;        
		break;
	case( 2 ):
	        f[0] = 0.0f;
	        f[1] = 1.0f;
	        f[2] = 0.0f;        
		break;
	case( 3 ):
	        f[0] = 0.0f;
	        f[1] = 1.0f;
	        f[2] = 1.0f;        
		break;
	case( 4 ):
	        f[0] = 1.0f;
	        f[1] = 0.0f;
	        f[2] = 0.0f;        
		break;
	case( 5 ):
	        f[0] = 1.0f;
	        f[1] = 0.0f;
	        f[2] = 1.0f;        
		break;
	case( 6 ):
	        f[0] = 1.0f;
	        f[1] = 1.0f;
	        f[2] = 0.0f;        
		break;
	case( 7 ):
	        f[0] = 1.0f;
	        f[1] = 1.0f;
	        f[2] = 1.0f;        
		break;
	case( 8 ):
	        f[0] = 0.5f;
	        f[1] = 0.4f;
	        f[2] = 0.3f;        
		break;
	case( 9 ):
	        f[0] = 0.0f;
	        f[1] = 0.0f;
	        f[2] = 0.6f;        
		break;
	case( 10 ):
	        f[0] = 0.0f;
	        f[1] = 0.6f;
	        f[2] = 0.0f;        
		break;
	case( 11 ):
	        f[0] = 0.0f;
	        f[1] = 0.6f;
	        f[2] = 0.6f;        
		break;
	case( 12 ):
	        f[0] = 0.6f;
	        f[1] = 0.0f;
	        f[2] = 0.0f;        
		break;
	case( 13 ):
	        f[0] = 0.6f;
	        f[1] = 0.0f;
	        f[2] = 0.6f;        
		break;
	case( 14 ):
	        f[0] = 0.6f;
	        f[1] = 0.6f;
	        f[2] = 0.0f;        
		break;
	case( 15 ):
	        f[0] = 0.6f;
	        f[1] = 0.6f;
	        f[2] = 0.6f;
		break;
	case( 16 ):
	        f[0] = 0.9f;
	        f[1] = 0.8f;
	        f[2] = 0.7f;
		break;
	case( 17 ):
	        f[0] = 0.8f;
	        f[1] = 0.7f;
	        f[2] = 0.5f;
		break;
	default:
	        f[0] = 0.0f;
	        f[1] = 0.0f;
	        f[2] = 0.0f;
		break;
	}
	return f;
	}

	//
	// get default color
	// 
	public static float[] getDefaultColor( int no, int doll_no ){

		float boy_defaultcolor[][] = {
		{ 1.0f, 0.787f, 0.59f }, 
		{ 1.0f, 1.0f, 1.0f } ,
		{ 0.0f,  1.0f, 0.617f } ,
		{ 1.0f, 0.788f, 0.592f },
		{ 1.0f, 0.787f, 0.59f },
		{ 1.0f, 0.49f, 0.0f },
		{ 0.22f, 0.345f, 1.0f },
		{ 0.22f, 0.345f, 1.0f },
		{ 0.625f, 0.625f, 0.625f },
		{ 0.225f, 0.334f, 1.0f },
		{ 0.22f, 0.345f, 1.0f },
		{ 0.625f, 0.625f, 0.625f },
		{ 0.0f, 1.0f, 0.618f },
		{ 1.0f, 0.787f, 0.59f },
		{ 1.25f, 0.981f, 0.732f },
		{ 0.0f, 1.0f, 0.626f },
		{ 1.0f, 0.787f, 0.59f },
		{ 0.0f, 0.0f, 0.0f }		// dummy
		};
		float girl_defaultcolor[][] = {
		{ 0.672f, 0.0f, 1.0f },
		{ 1.0f, 1.0f, 1.0f },
		{ 0.0f, 0.08f, 1.0f },
		{ 1.0f, 0f, 0.371f },
		{ 1.0f, 0.757f, 0.48f },
		{ 1.0f, 0.748f, 0.479f },
		{ 1.0f, 0.564f, 0f },
		{ 1.0f, 0.761f, 0.48f },
		{ 1.0f, 0.763f, 0.48f },
		{ 0.953f, 0.725f, 0.457f },
		{ 1.0f, 0.761f, 0.48f },
		{ 1.0f, 0.761f, 0.48f },
		{ 1.0f, 0.761f, 0.48f },
		{ 0.663f, 0.0f, 1.0f },
		{ 0.684f, 0.0f, 1.0f },
		{ 0.703f, 0.0f, 1.0f },
		{ 0.696f, 0.0f, 1.0f },
		{ 0.674f, 0.0f, 1.0f }
		};

		float f[] = new float[3];

		if( doll_no == 0 ){
			f[0] = boy_defaultcolor[ no ][ 0 ];
			f[1] = boy_defaultcolor[ no ][ 1 ];
			f[2] = boy_defaultcolor[ no ][ 2 ];
		}
		if( doll_no == 1 ){
			f[0] = girl_defaultcolor[ no ][ 0 ];
			f[1] = girl_defaultcolor[ no ][ 1 ];
			f[2] = girl_defaultcolor[ no ][ 2 ];
		}
		else {
			f[0] = boy_defaultcolor[ no ][ 0 ];
			f[1] = boy_defaultcolor[ no ][ 1 ];
			f[2] = boy_defaultcolor[ no ][ 2 ];
		}
		return f;
	}
}

